
Infrastructure - Story #1791

Create secure configuration for LDAP replication across various deployment Environments

2011-09-14 04:18 - Robert Waltz

Status: Closed Start date: 2012-05-07

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category: d1_cn_buildout Estimated time: 0.00 hour

Target version: Sprint-2012.19-Block.3.2   

Story Points:    

Description

ldap replication is not secure on port 389.

Hey Matt, you said you volunteered to help out on this one :)

Subtasks:

Task # 2707: Modify CN client code to StartTLS in LDAP connections Closed

Task # 2706: Set up TLS for CN LDAP servers Closed

Task # 2708: Edit syncrepl configuration in cn-buildout to use TLS Closed

Task # 2710: Edit ldap.conf to include CA cert location for TLS Closed

Task # 2717: Generate dev-testing.dataone.org certificate using DataONETestCA Closed

Task # 2718: Configure DataONE CA per deployment environment Closed

Task # 2772: Use CN hostname, not IP in the syncrepl configuration Closed

Related issues:

Related to Infrastructure - Story #1189: Secure transport for all DataONE ser... Closed

History

#1 - 2011-10-07 21:32 - Robert Waltz

- Tracker changed from Task to Story

- Subject changed from Create secure configuration for LDAP replication to Create secure configuration for LDAP replication across various

deployment Environments

- Category set to d1_cn_buildout

- Assignee set to Matthew Jones

- Target version set to Sprint-2011.45-Block.6

#2 - 2011-11-16 15:19 - Dave Vieglais

- Position set to 1

- Target version changed from Sprint-2011.45-Block.6 to Sprint-2011.48-Block.6

#3 - 2011-12-06 14:38 - Dave Vieglais

- Position set to 1

- Target version changed from Sprint-2011.48-Block.6 to Sprint-2011.50-Block.6

- Position deleted (27)

#4 - 2011-12-19 18:56 - Dave Vieglais

- Position set to 2

- Target version changed from Sprint-2011.50-Block.6 to Sprint-2012.01-Block.1.1

- Position deleted (21)

#5 - 2012-01-17 14:50 - Dave Vieglais

- Position set to 1
- Target version changed from Sprint-2012.01-Block.1.1 to Sprint-2012.03-Block.1.2

- Position deleted (42)

#6 - 2012-01-31 17:51 - Dave Vieglais

- Position set to 22

- Target version changed from Sprint-2012.03-Block.1.2 to Sprint-2012.05-Block.1.3

- Position deleted (19)

#7 - 2012-02-08 19:38 - Dave Vieglais

- Target version changed from Sprint-2012.05-Block.1.3 to Sprint-2012.07-Block.1.4

- Position deleted (38)

- Position set to 1

#8 - 2012-02-27 18:10 - Dave Vieglais

- Position set to 23

- Target version changed from Sprint-2012.07-Block.1.4 to Sprint-2012.09-Block.2.1

- Position deleted (25)

#9 - 2012-03-16 02:35 - Dave Vieglais

- Position deleted (65)

- Target version changed from Sprint-2012.09-Block.2.1 to Sprint-2012.11-Block.2.2

- Position set to 7

#10 - 2012-03-27 20:51 - Dave Vieglais

- Target version deleted (Sprint-2012.11-Block.2.2)

- Milestone changed from CCI-0.6.4 to CCI-1.0.0

Moving to backlog. 

This will need to be addressed in the near future and may be resolved simply by running all inter-CN traffic over a VPN. For now, we have IP address

restrictions that provide sufficient control.

#11 - 2012-04-23 16:34 - Matthew Jones

- Target version set to Sprint-2012.17-Block.3.1

#12 - 2012-05-07 17:33 - Dave Vieglais

- Target version changed from Sprint-2012.17-Block.3.1 to Sprint-2012.19-Block.3.2

- Position set to 10

- Position deleted (41)

#13 - 2012-05-16 23:03 - Ben Leinfelder

- Status changed from New to In Progress

- Assignee changed from Matthew Jones to Ben Leinfelder

Need to use hostname, not IP in the syncrepl LDAP config

#14 - 2012-05-18 23:24 - Ben Leinfelder

- Status changed from In Progress to Closed
